Skip to main content
GET
/
networks
/
couponcodes
List Coupon Codes
curl --request GET \
  --url https://api.eflow.team/v1/networks/couponcodes \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "coupon_codes": [
    {
      "network_coupon_code_id": 1,
      "network_id": 1,
      "network_affiliate_id": 0,
      "network_offer_id": 57,
      "coupon_code": "bla",
      "coupon_status": "active",
      "internal_notes": "",
      "time_created": 1774725262,
      "time_saved": 1774725262,
      "relationship": {},
      "start_date": "",
      "end_date": "",
      "description": "",
      "is_description_plain_text": false,
      "time_deleted": 0
    }
  ]
}
Retrieve all coupon codes for the network. Returns a list of coupon codes with their associated offer and affiliate details. Supports filtering by status, code, offer ID, affiliate ID, and timestamps.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

page
integer
default:1

Page number (1-based).

page_size
integer
default:50

Number of results per page.

filter[coupon_status]
enum<string>

Filter based on the coupon status.

Available options:
active,
paused
filter[coupon_code]
string

Filter based on the coupon name.

filter[network_offer_id]
integer

Filter based on the offer ID.

filter[network_affiliate_id]
integer

Filter based on the affiliate ID.

filter[time_created]
string

Filter based on the creation time.

filter[time_saved]
string

Filter based on the last update time.

relationship
enum<string>

Include related entity details in the response. Use offer to include the offer information, or affiliate to include the affiliate information.

Available options:
offer,
affiliate

Response

200 - application/json
coupon_codes
object[]